!

API recipes

Practical examples for using the Houski API.

Examples

Find houses with 240V garage outlets (EV ready)

Programming language

Select the programming language you want to display the code examples in.

Find houses with 240V garage outlets (EV ready)
Garage 240V outlet data identifies Level 2 EV charger installation leads, EV dealership prospects, and utility EV program targets.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&garage_240v_first_eq=true&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=5&select=address,garage_240v_first,garage_type_first,construction_year,estimate_list_price"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('garage_240v_first_eq', 'true');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'House');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,garage_240v_first,garage_type_first,construction_year,estimate_list_price');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 2.0999999046325684,
  "data": [
    {
      "address": "62 Gladeview Crescent SW",
      "construction_year": 1957,
      "estimate_list_price": 958026,
      "garage_240v_first": true,
      "garage_type_first": "Attached",
      "property_id": "1658bc901490df0f"
    },
    {
      "address": "12 Cranbrook Cape SE",
      "construction_year": 2022,
      "estimate_list_price": 968799,
      "garage_240v_first": true,
      "garage_type_first": "Attached",
      "property_id": "18bc25ce727a6641"
    },
    {
      "address": "2924 4 Avenue NW",
      "construction_year": 1952,
      "estimate_list_price": 1229668,
      "garage_240v_first": true,
      "garage_type_first": "Attached",
      "property_id": "1a20142779dfded6"
    },
    {
      "address": "119 Taracove Estate Drive NE",
      "construction_year": 2002,
      "estimate_list_price": 685046,
      "garage_240v_first": true,
      "garage_type_first": "Attached",
      "property_id": "1b47a6051f08d42d"
    },
    {
      "address": "335 Madeira Close NE",
      "construction_year": 1974,
      "estimate_list_price": 618708,
      "garage_240v_first": true,
      "garage_type_first": "Detached",
      "property_id": "208a2ed4e2e62a36"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 16
  },
  "price_quote": false,
  "result_total": 76,
  "time_ms": 5841,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}